Package org.apache.tomcat.util.descriptor.web

## Class LoginConfig

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.XmlEncodingBase
  - - org.apache.tomcat.util.descriptor.web.LoginConfig

All Implemented Interfaces:
  `java.io.Serializable`

    public class LoginConfig
    extends XmlEncodingBase
    implements java.io.Serializable

Representation of a login configuration element for a web application, as represented in a `<login-config>` element in the deployment descriptor.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Constructor Summary

Constructors
`LoginConfig()` Construct a new LoginConfig with default properties.
`LoginConfig​(java.lang.String authMethod, java.lang.String realmName, java.lang.String loginPage, java.lang.String errorPage)` Construct a new LoginConfig with the specified properties.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.String` `getAuthMethod()`
`java.lang.String` `getErrorPage()`
`java.lang.String` `getLoginPage()`
`java.lang.String` `getRealmName()`
`int` `hashCode()`
`void` `setAuthMethod​(java.lang.String authMethod)`
`void` `setErrorPage​(java.lang.String errorPage)`
`void` `setLoginPage​(java.lang.String loginPage)`
`void` `setRealmName​(java.lang.String realmName)`
`java.lang.String` `toString()` Return a String representation of this object.

### Methods inherited from class org.apache.tomcat.util.descriptor.web.XmlEncodingBase

`getCharset, getEncoding, setCharset, setEncoding`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LoginConfig

    public LoginConfig()

Construct a new LoginConfig with default properties.

#### LoginConfig

    public LoginConfig​(java.lang.String authMethod,
                       java.lang.String realmName,
                       java.lang.String loginPage,
                       java.lang.String errorPage)

Construct a new LoginConfig with the specified properties.

Parameters:
  `authMethod` - The authentication method
  `realmName` - The realm name
  `loginPage` - The login page URI
  `errorPage` - The error page URI

### Method Detail

#### getAuthMethod

    public java.lang.String getAuthMethod()

#### setAuthMethod

    public void setAuthMethod​(java.lang.String authMethod)

#### getErrorPage

    public java.lang.String getErrorPage()

#### setErrorPage

    public void setErrorPage​(java.lang.String errorPage)

#### getLoginPage

    public java.lang.String getLoginPage()

#### setLoginPage

    public void setLoginPage​(java.lang.String loginPage)

#### getRealmName

    public java.lang.String getRealmName()

#### setRealmName

    public void setRealmName​(java.lang.String realmName)

#### toString

    public java.lang.String toString()

Return a String representation of this object.

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`